WordPress.org

Ready to get started?Download WordPress

Forums

WP Super Cache
how to setup supercache to work with SSL https site (6 posts)

  1. cbulen
    Member
    Posted 1 year ago #

    I have a ecommerce site with a wootheme, and woocommerce installed.
    I have an SSL cert and I set my site to serve all pages in SSL (not just checkout).

    I recently discovered that the add-to-cart function was broken. After messing around with it for a while, I came to the conclusion the reason was due to WP-supercache. Once I disabled and uninstalled the plugin, and deleted the code that WP supercache added to htaccess in root, the site worked normally.

    Up until recently, I did not have any issues with WP supercache and SSL or woocommerce. I think some recent updates to the plugins and/or wordpress update to 3.5 broke something.

    I would like to be able to use WP supercache to make things quicker for my site visitors.

    Do you have a tutorial on setting up WP supercache on an all ssl site?

    http://wordpress.org/extend/plugins/wp-super-cache/

  2. infolotnicze
    Member
    Posted 1 year ago #

    I have te same problem. I have discovered your post to late and also posted about it.

  3. cbulen
    Member
    Posted 1 year ago #

    Well, I hope someone answers our questions.

    For now I have uninstalled the WP Supercache plugin because it breaks my site.

  4. infolotnicze
    Member
    Posted 1 year ago #

    Same for me. If someone would hit the page with https or go with a https link from google all would be ok but typing jus http://www.infolotnicze.pl or infolotnicze.pl didn't redirect to https while https is hard coded into wordpress for me and I also have wordpress https plugin

  5. G
    Member
    Posted 1 year ago #

    ... that probably explains why I could never get WordPress Https plugin working - I run WP-Super-Cache.

    I am pretty sure SSL is not cached for security reasons. Also, gzip (compression) of SSL pages is a big security no-no, as 2 big vulnerabilities still exist - the 'Beast' and 'Crime' SSL vulnerabilities.
    https://www.google.com/search?q=ssl+beast+crime

    Stay safe, and don't cache or compress secure pages.

  6. infolotnicze
    Member
    Posted 1 year ago #

    Hmm,

    after uninstalling andinstalling it started to work for me

Topic Closed

This topic has been closed to new replies.

About this Plugin

About this Topic